> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search integration logs from ClickHouse



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/logs/clickhouse
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/logs/clickhouse:
    post:
      tags:
        - Integration
      summary: Search integration logs from ClickHouse
      operationId: IntegrationController_getClickhouseIntegrationLogs
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationLogSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClickhouseIntegrationLogSearch'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    IntegrationLogSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
          enum:
            - error
            - warning
            - info
            - debug
          description: Filter logs by type
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        timezone:
          type: string
          description: Timezone for log search results
        integrationId:
          type: string
          description: ID of the integration to search logs for
        day:
          type: string
          description: Specific day to search logs for
      required:
        - size
        - page
        - integrationId
    ClickhouseIntegrationLogSearch:
      type: object
      properties:
        data:
          description: Array of integration log entries from ClickHouse
          type: array
          items:
            $ref: '#/components/schemas/ClickhouseIntegrationLog'
      required:
        - data
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    ClickhouseIntegrationLog:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the integration log
        message:
          type: string
          description: Log message content
        type:
          type: string
          enum:
            - error
            - warning
            - info
            - debug
          description: Type of integration log entry
        context:
          type: string
          nullable: true
          description: Additional context for the log entry
        createdAt:
          type: string
          description: Timestamp when the log entry was created
        integrationId:
          type: string
          description: ID of the integration that generated this log
      required:
        - id
        - message
        - type
        - context
        - createdAt
        - integrationId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````